Apple apologises for security flaw in MacOS High Sierra, issues bug fixing update

Yesterday, we reported on Apple’s latest MacOS security blunder. In brief, Apple had left an exploit open in the Operating System whereby individuals who gained physical access to any MacOS High Sierra device could bypass the security password by triggering the root account. This led to Apple’s PCs being criticised for such an egregious vulnerability.

That isn’t where the story ends, however. Today, the Cupertino based firm issued the following statement to 9to5 Mac, saying:

Security is a top priority for every Apple product, and regrettably we stumbled with this release of macOS.

When our security engineers became aware of the issue Tuesday afternoon, we immediately began working on an update that closes the security hole. This morning, as of 8 a.m., the update is available for download, and starting later today it will be automatically installed on all systems running the latest version (10.13.1) of macOS High Sierra.

We greatly regret this error and we apologize to all Mac users, both for releasing with this vulnerability and for the concern it has caused. Our customers deserve better. We are auditing our development processes to help prevent this from happening again.

Affected MacOS users will update to the latest version automatically, without the need of explicit customer interaction for security reasons.

Some links in the article may not be viewable as you are using an AdBlocker. Please add us to your whitelist to enable the website to function properly.

Related
Comments